{{ define "main" }}
<main class="max-w-screen-xl pt-4 pb-8 mx-6 min-[1328px]:mx-auto">
  <h1 class="text-4xl font-bold mb-4">{{ .Title }}</h1>
  {{ .Content }}

  <div class="mt-8 grid sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4 gap-4">
    {{ range .Pages }}
    <a class="rounded-lg border border-slate-600/25 hover:border-slate-950/25 hover:shadow" href="{{ .RelPermalink }}">
      <span class="block -mx-px -mt-px">
        {{ $image := resources.Get .Params.thumbnail }}
        {{ if not $image }}
        {{ $image = index (.Resources.ByType "image") 0 }}
        {{ end }}
        {{ if not $image }}
        {{ $image = resources.Get "img/docs-placeholder.png" }}
        {{ end }}

        {{ with $image }}
        <img class="relative z-[-1] rounded-t-lg" src="{{ .RelPermalink }}" width="{{ .Width }}" height="{{ .Height }}" alt="{{ $.Title }}">
        {{ end }}
      </span>

      <span class="font-semibold px-4 block mt-4 mb-3">{{ .Title }}</span>
      <span class="block px-4 pb-4">{{ or .Description (.Content | plainify | htmlUnescape | truncate 100) }}</span>
    </a>
    {{ end }}
  </div>
</main>
{{ end }}
